/*
 * $Id: Parameters.cpp 112 2009-03-18 22:36:26Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Divider/include/Parameters.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace divider {


#undef  FUNCTION
#define FUNCTION "Divider::Parameters"
  Parameters::Parameters (bool is_toplevel)
  {
    log_begin(Divider,FUNCTION);

    test();

    if (is_toplevel)
      {
        copy();
      }

    log_end(Divider,FUNCTION);
  };
  
// #undef  FUNCTION
// #define FUNCTION "Divider::Parameters (copy)"
//   Parameters::Parameters (Parameters & param)
//   {
//     log_begin(Divider,FUNCTION);
//     test();
//     log_end(Divider,FUNCTION);
//   };

#undef  FUNCTION
#define FUNCTION "Divider::~Parameters"
  Parameters::~Parameters (void) 
  {
    log_begin(Divider,FUNCTION);
    log_end(Divider,FUNCTION);
  };

#undef  FUNCTION
#define FUNCTION "Divider::copy"
  void Parameters::copy (void) 
  {
    log_begin(Divider,FUNCTION);
    log_end(Divider,FUNCTION);
  };

}; // end namespace divider
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
